package opc.ua.services.common;

import java.util.Date;

public class ApplicationInstanceCertificate {

	private String version;
	private byte[] serialNumber;
	private String signatureAlgorithm;
	private byte[] signature;
	
	/** should this really be string? **/
	private String issuer;
	
	/** UtcTime **/
	private Date validFrom;
	private Date validTo;
	
	/** really string ? **/
	private String subject;
	
	private String applicationUri;
	private String[] hostnames;
	private byte[] publicKey;
	private String[] keyUsage;
	
	
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public byte[] getSerialNumber() {
		return serialNumber;
	}
	public void setSerialNumber(byte[] serialNumber) {
		this.serialNumber = serialNumber;
	}
	public String getSignatureAlgorithm() {
		return signatureAlgorithm;
	}
	public void setSignatureAlgorithm(String signatureAlgorithm) {
		this.signatureAlgorithm = signatureAlgorithm;
	}
	public byte[] getSignature() {
		return signature;
	}
	public void setSignature(byte[] signature) {
		this.signature = signature;
	}
	public String getIssuer() {
		return issuer;
	}
	public void setIssuer(String issuer) {
		this.issuer = issuer;
	}
	public Date getValidFrom() {
		return validFrom;
	}
	public void setValidFrom(Date validFrom) {
		this.validFrom = validFrom;
	}
	public Date getValidTo() {
		return validTo;
	}
	public void setValidTo(Date validTo) {
		this.validTo = validTo;
	}
	public String getSubject() {
		return subject;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	public String getApplicationUri() {
		return applicationUri;
	}
	public void setApplicationUri(String applicationUri) {
		this.applicationUri = applicationUri;
	}
	public String[] getHostnames() {
		return hostnames;
	}
	public void setHostnames(String[] hostnames) {
		this.hostnames = hostnames;
	}
	public byte[] getPublicKey() {
		return publicKey;
	}
	public void setPublicKey(byte[] publicKey) {
		this.publicKey = publicKey;
	}
	public String[] getKeyUsage() {
		return keyUsage;
	}
	public void setKeyUsage(String[] keyUsage) {
		this.keyUsage = keyUsage;
	}
}
